Search results for "module:Perl::Critic::Policy::ValuesAndExpressions::ProhibitConstantPragma"

Perl::Critic::Policy::ValuesAndExpressions::ProhibitConstantPragma - Don't < use constant FOO = 15 >>. River stage three • 131 direct dependents • 386 total dependents

Named constants are a good thing. But don't use the "constant" pragma because barewords don't interpolate. Instead use the Readonly module. use constant FOOBAR => 42; #not ok use Readonly; Readonly my $FOOBAR => 42; #ok Readonly::Scalar my $FOOBAR =>...

PETDANCE/Perl-Critic-1.142 - 29 Nov 2022 02:20:23 UTC

Perl::Critic::Policy::logicLAB::ModuleBlacklist - blacklist modules you want to prohibit use of River stage one • 2 direct dependents • 3 total dependents

This policy can be used to specify a list of unwanted modules. Using a blacklisting, so if the modules are used in the evaluated code a violation is triggered. In addition to blacklisting modules it is possible to recommend alternatives to blackliste...

JONASBN/Perl-Critic-Policy-logicLAB-ModuleBlacklist-0.04 - 06 Sep 2015 16:54:39 UTC

Perl::Critic::Policy::logicLAB::RequireVersionFormat - assert version number formats River stage one • 2 direct dependents • 3 total dependents

This policy asserts that a specified version number conforms to a specified format. The default format is the defacto format used on CPAN. X.X and X.X_X where X is an arbitrary integer, in the code this is expressed using the following regular expres...

JONASBN/Perl-Critic-Policy-logicLAB-RequireVersionFormat-0.08 - 27 Aug 2015 16:07:55 UTC

Perl::Critic::Policy::Compatibility::ConstantPragmaHash - new enough "constant" module for multiple constants River stage two • 5 direct dependents • 18 total dependents

This policy is part of the "Perl::Critic::Pulp" add-on. It requires that when you use the hash style multiple constants of "use constant" that you explicitly declare either Perl 5.8 or "constant" 1.03 or higher. use constant { AA => 1, BB => 2 }; # b...

KRYDE/Perl-Critic-Pulp-99 - 28 Feb 2021 08:34:14 UTC

Perl::Critic::Policy::Compatibility::ConstantLeadingUnderscore - new enough "constant" module for leading underscores River stage two • 5 direct dependents • 18 total dependents

This policy is part of the "Perl::Critic::Pulp" add-on. It asks that if you have a constant with a leading underscore, use constant _FOO ... # leading underscore on name then you explicitly declare "use 5.6" or "use constant 1.02", or higher, since "...

KRYDE/Perl-Critic-Pulp-99 - 28 Feb 2021 08:34:14 UTC

Perl::Critic::Policy::logicLAB::RequireSheBang - simple policy for keeping your shebang line uniform River stage one • 2 direct dependents • 3 total dependents

This policy is intended in guarding your use of the shebang line. It assists in making sure that your shebang line adheres to certain formats. The default format is #!/usr/local/bin/perl You can however specify another or define your own in the confi...

JONASBN/Perl-Critic-Policy-logicLAB-RequireSheBang-0.07 - 28 Aug 2015 07:05:05 UTC

Perl::Critic::Policy::logicLAB::ProhibitUseLib - simple policy prohibiting the use of 'use lib' River stage one • 3 direct dependents • 4 total dependents

The 'use lib' statement, hardcodes the include path to be used. This can give issues when moving modules and scripts between diverse environments. use lib '/some/path'; #not ok use lib qw(/you/do/not/want/to/go/down/this/path /or/this); #not ok Inste...

JONASBN/Perl-Critic-Policy-logicLAB-ProhibitUseLib-0.04 - 22 Aug 2015 07:18:26 UTC

Perl::Critic::Policy::logicLAB::RequireParamsValidate - simple policy for enforcing use of Params::Validate River stage one • 2 direct dependents • 3 total dependents

JONASBN/Perl-Critic-Policy-logicLAB-RequireParamsValidate-0.03 - 27 Aug 2015 21:05:32 UTC

Perl::Critic::Policy::logicLAB::ProhibitShellDispatch - simple policy prohibiting shell dispatching River stage one • 2 direct dependents • 3 total dependents

Using Perl builtins to dispatch to external shell commands are not particularly portable. This policy aims to assist the user in identifying these critical spots in the code and exchange these for pure-perl solutions and CPAN distributions. The polic...

JONASBN/Perl-Critic-Policy-logicLAB-ProhibitShellDispatch-0.05 - 21 Aug 2015 18:49:01 UTC

Perl::Critic::Policy::logicLAB::RequirePackageNamePattern - simple policy for enforcing a package naming policy River stage one • 2 direct dependents • 3 total dependents

The policy can be used to enforced naming conventions for packages....

JONASBN/Perl-Critic-Policy-logicLAB-RequirePackageNamePattern-0.05 - 27 Aug 2015 16:03:52 UTC
10 results (0.073 seconds)